"""
    TMO spec version: 1.0.0
    Contact: project-email@sample.com
    Generated by: https://www.t-mobile.com/
    Signature: 3XvS/g3xmfqquDlr/h6ZsaF3HzTLImbVeV4u+z7RkSE=
"""
"""
    TMO spec version: 1.0.0
    Contact: project-email@sample.com
    Generated by: https://www.t-mobile.com/
    Signature: OZWK/d3XpfAwth/v7XucHNeato1/Zbz8cNOUdSnAAqs=
    """
"""
    TMO spec version: 1.0.0
    Contact: project-email@sample.com
    Generated by: https://www.t-mobile.com/
    Signature: XgWM3ht2PnVeK/H+SuyfP9jE91Xfg1x5oYADCmETntU=
    """
import os
from dotenv import load_dotenv
from naas_sdk import NaaSClient, DeviceStatus


def main():
    """
    Main function.
    """
    # Load environment variables from .env file
    load_dotenv()
    
    # Get credentials from environment variables
    client_id = os.getenv("NAAS_CLIENT_ID")
    client_secret = os.getenv("NAAS_CLIENT_SECRET")
    private_key = os.getenv("NAAS_PRIVATE_KEY")
    base_url = os.getenv("NAAS_BASE_URL")
    phone_number = os.getenv("NAAS_PHONE_NUMBER")
    
    # Check if all required environment variables are set
    if not all([client_id, client_secret, private_key, phone_number]):
        print("Error: Missing required environment variables.")
        print("Please set the following environment variables:")
        print("  NAAS_CLIENT_ID: Your client ID")
        print("  NAAS_CLIENT_SECRET: Your client secret")
        print("  NAAS_PRIVATE_KEY: Your private key in PEM format")
        print("  NAAS_PHONE_NUMBER: The phone number to check")
        return
    
    # Initialize the client
    client = NaaSClient(
        client_id=client_id,
        client_secret=client_secret,
        private_key=private_key,
        base_url=base_url
    )
    
    try:
        # Get the roaming status
        device_status = DeviceStatus(client)

        roaming_status = device_status.get_roaming_status(phone_number)
        
        # Print the result
        print(f"Roaming status for {phone_number}: {roaming_status['roaming']}")
    except Exception as e:
        print(f"Error: {e}")


if __name__ == "__main__":
    main() 